package com.izouma.uwip.enums;

/*
商标申请流程
1 客户经理
2 项目经理
3 翻译经理
 */
public enum LogoWorkflow {
    /*
    新增后流程
     */
    IS_CONTRACT("是否决定签约", 1),
    NOT_CONTRACT("不签约终止",1),
    /*
    选择供应商
     */
    TO_BE_MAINTAINED("待维护案件", 2),
    /*
    是否受理
     */
    PENDING("待受理", 2),
    NOT_ACCEPT("不受理终止",2),
    /*
    不受理的状态
     */
    PALINDROME_CORRECTION("回文补正", 2),
    PENDING_PAYMENT("待缴费", 2),
    /*
    不缴费状态
     */
    UNPAID("未缴费终止", 2),
    /*
    是否符合审查
     */
    PENDING_REVIEW("待审查", 2),
    /*
    不符合审查  选择是否复审页面
     */
    DISMISS("驳回处理", 2),
    /*
    复审
     */
    REVIEW_MATERIALS("待上传复审材料", 2),
    NO_REVIEW("不复审终止", 2),
    /*
    复审是否通过
     */
    REVIEW_PAYMENT("复审缴费", 2),
    REVIEW("复审审查", 2),
    ANNOUNCEMENTS("公告初审", 2),
    HANDLE("证件办理", 2),
    ;

    private final String description;
    private final int    authority;

    public String getDescription() {
        return description;
    }

    public int getAuthority() {
        return authority;
    }

    LogoWorkflow(String description, int authority) {
        this.description = description;
        this.authority = authority;
    }
}
